From 9f9152110716b01358887a823cbc4ab5f5c01b61 Mon Sep 17 00:00:00 2001
From: Patrick Georgi <pgeorgi@google.com>
Date: Thu, 7 Feb 2019 21:01:53 +0100
Subject: [PATCH 13/18] TEMP: NOT FOR REVIEW: board/mistral: enable cr50 driver

BUG=b:123772899
BRANCH=none
TEST=depthcharge successfully communicates with cr50

Change-Id: I09936b5f7cb997473a3ff071a333edd3bc5b656b
Signed-off-by: Patrick Georgi <pgeorgi@google.com>
Signed-off-by: Nitheesh Sekar <nsekar@codeaurora.org>
---
 board/mistral/defconfig   | 8 ++++++--
 src/board/mistral/board.c | 8 ++++++++
 2 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/board/mistral/defconfig b/board/mistral/defconfig
index 425aa02625d3..7c17957716fc 100644
--- a/board/mistral/defconfig
+++ b/board/mistral/defconfig
@@ -11,8 +11,11 @@ CONFIG_HEAP_SIZE=0x01000000
 CONFIG_KERNEL_START=0x8B000000
 
 # Vboot
-#CONFIG_TPM2_MODE is not set
-CONFIG_MOCK_TPM=y
+CONFIG_TPM2_MODE=y
+#CONFIG_MOCK_TPM is not set
+CONFIG_DRIVER_TPM=y
+CONFIG_DRIVER_TPM_SPI=y
+CONFIG_DRIVER_TPM_CR50_SWITCHES=y
 CONFIG_CROSSYSTEM_FDT=y
 CONFIG_NV_STORAGE_FLASH=y
 
@@ -26,6 +29,7 @@ CONFIG_HEADLESS=y
 CONFIG_DRIVER_FLASH_SPI=y
 CONFIG_DRIVER_INPUT_USB=y
 CONFIG_DRIVER_BUS_I2C_QCS405=y
+CONFIG_DRIVER_BUS_SPI_QCS405=y
 #eMMC/SD-card
 CONFIG_DRIVER_STORAGE_MMC=y
 CONFIG_DRIVER_SDHCI=y
diff --git a/src/board/mistral/board.c b/src/board/mistral/board.c
index 1c0065891803..8301d9344e55 100644
--- a/src/board/mistral/board.c
+++ b/src/board/mistral/board.c
@@ -29,6 +29,9 @@
 #include "drivers/storage/sdhci_msm.h"
 #include "drivers/gpio/sysinfo.h"
 #include "board.h"
+#include "drivers/tpm/cr50_switches.h"
+#include "drivers/tpm/spi.h"
+#include "drivers/tpm/tpm.h"
 
 #define TLMM_BOOT_SEL		0x010C1000
 #define EMMC_BOOT		0x8000000
@@ -122,6 +125,11 @@ static int board_setup(void)
 	SpiController *spi_flash = new_spi(BLSP5_SPI, 0);
 	SpiFlash *flash = new_spi_flash(&spi_flash->ops);
 	flash_set_ops(&flash->ops);
+
+	SpiController *spi_tpm = new_spi(4, 0);
+	SpiTpm *tpm = new_tpm_spi(&spi_tpm->ops, NULL);
+	tpm_set_ops(&tpm->ops);
+	flag_replace(FLAG_RECSW, &new_cr50_rec_switch(&tpm->ops)->ops);
 #endif
 	/* eMMC support */
 	/* DATA pins are muxed between NAND and EMMC, configure them to eMMC */
-- 
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project

